@font-face {
  font-family:'impact';
  src: url('fonts/impact.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family:'Roboto';
  src: url('fonts/Roboto.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Hathem Bosteem';
  src: url('fonts/Hathem Bosteem.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
font-family: 'Betterlett';
src: url('fonts/Betterlett.ttf') format('truetype');
font-weight: normal;
font-style: normal;
}

@font-face {
font-family: 'Yorkmade Demo';
src:url('fonts/Yorkmade Demo.otf') format('opentype');
font-weight: normal;
font-style: normal;
}



#confetti{
  background: transparent;
  height: 100%;
  left: 0px;
  position: fixed;
  top: 0px;
  width: 100%;
  z-index: -1;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Roboto, sans-serif;
    -webkit-tap-highlight-color: transparent; /* handy touch */

}
body{
    background-color: #fadde2;
    color:black;
}

p {
  font-size: 20px;
  margin-bottom: 15px;
  
}
b {
  color: white;
text-shadow: 1px 1px 1px black;
  font-size:25px;
} 
a {
  color:white;
}


 #scrollTopBtn {
  position: fixed;
  bottom:100px;
  right:10vw;
  z-index: 100;
  font-size: 1.5rem;
  width:50px;
  background-color: #ffc90c;
  background-image: url(images/pfeil.png);
  background-repeat: no-repeat;
  background-position:center;
  background-size: 20px;
  box-sizing: border-box;
  color: white;
  border: none;
  border-radius: 50%;
  border:1px solid white;
  padding: 23px 0px;
  cursor: pointer;
  display: none; /* Anfangs versteckt */
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  transition: opacity 0.3s ease;
}

#scrollTopBtn:hover {
  background-color:  #0d8763;
  border:1px solid white;

}

#gruss-start {
font-family: 'Yorkmade Demo';
  text-shadow:2px 2px 2px black;
  position: relative;
  text-align: center;
  font-size: 400%;
  color: #0d8763;
  margin:0px;
  padding: 0;
}

@media (max-width: 380px) {
  #gruss-start {
  font-size: 300%;
    }
  }

section {
  position:relative;
  max-width: 1200px;
  margin: 50px auto;
  padding: 40px;
  background: rgba(13, 240, 209, 0.5);
  backdrop-filter: blur(6px) saturate(160%);
  -webkit-backdrop-filter: blur(14px) saturate(160%);
  border: 1px solid white;
  border-radius: 4px;
  box-shadow:
    0 4px 14px rgba(0,0,0,0.25),
    0 0 12px rgba(255,255,255,0.18) inset;
  overflow: hidden; /* wichtig für Körnung */

 }

section h2{
font-size: 3.6rem;
text-align: center;
text-decoration: underline; 
   margin-bottom: 120px;
font-family: 'Yorkmade Demo';
    color: white;
    padding: 0;
    letter-spacing: 2px;
    text-shadow:2px 2px 2px black;
}



section h3{
  font-size: 2.4rem;
text-align: center;
text-decoration: underline;
    margin-bottom: 50px;
font-family: 'Yorkmade Demo';
    color: #0d8763;
    padding: 0;
    letter-spacing:3px;
    text-shadow:2px 2px 2px black;
}

/* HERO SECTION */
.hero {
    position: relative;
    background: url('images/hero.png'),url(images/ballons6.png);
    background-position:center,0px -100px;
    background-size:contain,100%;
    background-repeat: no-repeat, no-repeat;
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 768px) {
  .hero{
     background: url('images/1.2.png'),url(images/ballons6.png);
    background-position:center,0px 50px;
    background-size:80%,100%;
    background-repeat: no-repeat, no-repeat;
    }
  }

.loader {
  perspective: 1000px;
  -webkit-perspective: 1000px;
}
.loader > span {
font-family: 'Yorkmade Demo';
  font-size: 8rem; 
  display: inline-block;
  color: #fff;
    margin-top: 500px;
    padding: 0;
    text-shadow: 2px 2px 2px black;
  transform-style: preserve-3d;
  transform-origin: 0 100%;
  animation: anim 3s infinite linear;
}
.loader > span:nth-child(even) {
  color:#ffc90c;
;
}
.loader > span:nth-child(2) {
  animation-delay: 0.2s;
}
.loader > span:nth-child(3) {
  animation-delay: 0.4s;
}
.loader > span:nth-child(4) {
  animation-delay: 0.6s;
}
.loader > span:nth-child(5) {
  animation-delay: 0.8s;
}
.loader > span:nth-child(6) {
  animation-delay: 1s;
}
.loader > span:nth-child(7) {
  animation-delay: 1.2s;
}
.loader > span:nth-child(8) {
  animation-delay: 1.4s;
}
.loader > span:nth-child(9) {
  animation-delay: 1.6s;
}
.loader > span:nth-child(10) {
  animation-delay: 1.8s;
}

@keyframes anim {
  35% {
    transform: rotateX(360deg);
  }
  100% {
    transform: rotateX(360deg);
  }
}
@media (max-width: 820px) {
    .loader > span {
    font-size: 6rem;
    }
  }
@media (max-width: 620px) {
    .loader > span{
    font-size: 4rem !important;
    }
  }
@media (max-width: 480px) {
    .loader > span {
    font-size:4rem !important;
     margin-top: 200px;
    }
  }
canvas.confetti {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0px;
  left: 0px;
  z-index: 0;
  pointer-events: none;
}
.button-53 {
  background: #ffc90c;
  border-color: rgb(255, 180, 80);
  box-sizing: border-box;
  color:white;
  display: flex;
  font-size: 22px;
  font-weight: normal;
font-family: 'Yorkmade Demo';
  text-shadow: 2px 2px 2px black;
  justify-content: center;
  position: absolute;
top:15%;
right: 15%;
  text-align: center;
  text-decoration: none #000000 solid;
  width:260px;
  max-width: 260px;
padding:20px;
  cursor: pointer;
  transform: rotate(6deg);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
z-index:0;
}

.button-53:focus {
  outline: 0;
}

.button-53:after {
  content: "";
  position: absolute;
  bottom: 4px;
  left: 4px;
  width: calc(100% - 1px);
  height: calc(100% - 1px);
}

@media (max-width: 380px) {
    .button-53{
    width:160px;
    }
  }


/* Grundlayout */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background: #fff;
  }

.logo {
    font-size: 2.4rem;
    color: #333;
font-family: 'Betterlett';
}



/* Desktop-Menü */
.nav-links {
    display: flex;
    gap: 20px;
    list-style: none;

}

.nav-links a {
    text-decoration: none;
    color: #333;
    font-size: 1.2rem;
font-family: 'Yorkmade Demo';

}

.nav-links a:hover{
  color:#d88f9b;
}

/* Hamburger-Button */
.hamburger {
    display: none;
    flex-direction: column;
    gap: 5px;
    background: none;
    border: none;
    cursor: pointer;
    position:fixed;
    right:20px;
}

.hamburger span {
    width: 25px;
    height: 3px;
    background: #333;
    transition: 0.3s;
}


/* Mobile Menü Slide-In */
@media (max-width: 900px) {
  .hamburger {
        display: flex;
        z-index: 10000; /* damit er über allem liegt */
    }
    .nav-links {
        position: fixed;
        top: 0;
        right: -250px; /* Start außerhalb des Bildschirms */
        height: 100vh;
        width: 250px;
        background: white;
        flex-direction: column;
        padding: 80px 20px;
        gap: 20px;
        box-shadow: -2px 0 10px rgba(0,0,0,0.1);
        transition: right 0.3s ease; /* Slide-In Animation */
        z-index: 9999;
    }

    .nav-links.open {
        right: 0; /* Rein sliden */
    }


    .nav-links li{
     border-bottom: 1px solid #333; 
    }
    .nav-links.open {
        display: flex;
    }

    /* Animation Hamburger → X */
    .hamburger.active span:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }
    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }
    .hamburger.active span:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }
  }
/*HEREINSPAZIERT*/
#hereinspaziert{
  background-image: url(images/ballons2.png);
  background-position: top 0px left 0px;
  background-repeat: no-repeat;
  background-size: 60%;
}
@media (max-width: 768px) {
 #hereinspaziert h2{
      font-size: 2.6rem !important;
    }
  }


#hereinspaziert .content{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}
#hereinspaziert img {
  float:left;
}
/*ABOUT*/
#about{
  background-image: url(images/ballons3.png);
  background-position: top 0px right 0px;
  background-repeat: no-repeat;
  background-size: 60%;

}

#about ul{
  padding-left: 120px;
}
.portrait {
    float: right;
    border-radius: 50%;
    width: 300px;
    padding: 0px;
    margin:40px;
 background:rgb(13, 135, 99, 0.8);
    backdrop-filter: blur(14px) saturate(160%);
    -webkit-backdrop-filter: blur(14px) saturate(160%);
    border: 1px solid white;
    box-shadow:
    0 4px 14px rgba(0,0,0,0.25),
    0 0 12px rgba(255,255,255,0.18) inset;
    overflow: hidden; /* wichtig für Körnung */
}

  /* Nur auf kleinen Bildschirmen: Bild zentrieren */
  @media (max-width: 768px) {
.portrait {
display: block;
      float: none;
      margin: 40px auto;
}
}
.inline-icon {
    height:2em;              /* passt sich der Textgröße an */
    vertical-align: -0.65em;  /* leicht nach unten korrigieren */
    display: inline-block;    /* verhindert Verschieben */
    margin: 0 4px;            /* etwas Abstand links/rechts */
}

/*CLOWN ELE*/
#clown{
 background-image: url(images/bg.png);
  background-position: top -50px left 0px;
  background-repeat: no-repeat;
  background-size: 100%; 
}
#clown img{
  float:left;
}

#clown ul {
  list-style: none;
  margin-top:20px;

}

#clown ul li::before {
  content:"🎈" ;
 margin-left: 0px;
}

#clown ul li{
  text-indent: -1.4em;
  padding-left: 1.4em;
  font-weight: bold;
  font-size:20px;
}

  @media (max-width: 768px) {

    #clown{
      background-position: top 100px left 0px; 
      display: flex;
      flex-direction: column;
      align-items: center;
      
    }
  }

/*WORKSHOPS*/
 #workshops {
        background-image: url(images/ballons.png);
        background-repeat: no-repeat;
        background-size:70%;
        background-position: top right;
      }


  .card-row {
    display: flex;
    align-items: center;
  justify-content: center;
  flex-wrap: wrap;
    gap: 50px;
  }

  .flip-card {
    width: 300px;
    height: 460px;
    perspective: 1000px;
  }

  .flip-card-inner {
    width: 100%;
    height: 100%;
    position: relative;
    transition: transform 0.6s;
    transform-style: preserve-3d;
  }

.flip-card.flip-active .flip-card-inner {
    transform: rotateY(180deg);
}

  .flip-card-front,
  .flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 10px;
    overflow: hidden;
    background: #fff;
    box-sizing: border-box;
    cursor: pointer;
  }

  /* Vorderseite */
  .flip-card-front {
    border: 1px solid #ddd;
    display: flex;
    flex-direction: column;
  }

  .flip-card-front h3 {
    margin: 0;
    padding: 12px;
    text-align: center;
    background: #fafafa;
    border-bottom: 1px solid #ddd;
    font-size:2.5rem;
  }
  .flip-card-front img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    flex-grow: 1;
  }

  /* Rückseite */
  .flip-card-back {
    background: #0d8763;
    color: #fff;
    transform: rotateY(180deg);
    padding: 16px;
    overflow-y: auto;
    border: 1px solid white;
    box-shadow:
    0 4px 14px rgba(0,0,0,0.25),
    0 0 12px rgba(255,255,255,0.18) inset;
    border-radius: 10px;
  }
 .flip-card-back ul {
  padding-left:15px;
 }

  .pfeil-card {
    position: absolute;
    bottom:5px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 2.2rem;
    color:  white;
    background-color:  #ffc90c;
    border-radius: 50%;
    padding: 0px 6px 3px 8px; 
    border: 1px solid white;
    cursor: pointer;
    z-index: 10;
   /* leichte Animation */
    transition: transform 0.2s ease, opacity 0.2s ease;
}

/* Hover-Effekt */
.pfeil-card:hover {
    transform: translateX(-50%) translateY(3px);
}




/*GALERIE*/
.slideshowContainer {
  position: relative;
  overflow: hidden;
  margin: 50px auto;
  width: 90%;
  height: 600px;
    background: #0d8763;
    backdrop-filter: blur(14px) saturate(160%);
    -webkit-backdrop-filter: blur(14px) saturate(160%);
    border: 1px solid white;
    box-shadow:
    0 4px 14px rgba(0,0,0,0.25),
    0 0 12px rgba(255,255,255,0.18) inset;
    border-radius: 10px;

}

.imageSlides {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  min-width: 100%;
  min-height: 100%;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  z-index: -1;
}

/* add 'visible' class via Javascript */
.visible {
  opacity: 1;
}

.slideshowArrow {
  font-size: 7em;
  color: rgba(255, 255, 255, 0.8);
  cursor: pointer;
  transition: opacity 0.2s ease-in-out;
}

.slideshowArrow:hover {
  opacity: 0.75;
}

#leftArrow {
  position: absolute;
  left: 2%;
  top: 50%;
  transform: translate(-50%, -50%);
}

#rightArrow {
  position: absolute;
  right:2%;
  top: 50%;
  transform: translate(50%, -50%);
}

.slideshowCircles {
  position: absolute;
  bottom: 2%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.circle {
  display: inline-block;
  margin-left: 3px;
  margin-right: 3px;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  border: solid 2px rgba(255, 255, 255, 0.5);
  transition: 1s ease-in-out;
}

.dot {
  background-color: rgba(255, 255, 255, 0.7);
  border: solid 2px rgba(255, 255, 255, 0.5);
}



/*KONTAKT*/

#kontakt{
  background-image: url(images/ballons4.png);
  background-position: top 0px right 0px;
  background-repeat: no-repeat;
  background-size: 60%;
  display:flex;
  flex-direction: column;
  align-items: center;
}
.contact-info{
    width: 100%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.card{
    position: relative;
    flex: 1;
    max-width: 350px;
    height: 140px;
    background-color: #0d8763;
    margin: 20px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid white;
}

.icon{
    font-size: 60px;
    color: white;
    transition: .3s linear;
}

.card:hover .icon{
    transform: scale(3);
    opacity: 0;
}

.card-content span{
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    font-size: 22px;
    opacity: 0;
}



.card-content span a{
    bottom: 20px;
    color: #fff;
    font-weight: 500;
}

.card:hover span{
    opacity: 1;
    bottom: 46px;
    transition: .3s linear .3s;
}


@media screen and (max-width:900px){
    .card{
        flex: 100%;
        max-width:350px;
    }
}
/*ABSCHIED*/
 #abschied{
       background-image: url(images/clown3.png), url(images/ballons5.png);
       background-repeat: no-repeat, no-repeat;
       background-size:500px, 60%;
       background-position:100% -20px, top 0px left 0px;
       height: 500px;
       display: flex;
       justify-content: center;
align-items: center;
       flex-wrap: wrap;
margin-bottom:150px;
      }
#abschied-content{
 background:rgb(13, 135, 99, 0.8);
    backdrop-filter: blur(14px) saturate(160%);
    -webkit-backdrop-filter: blur(14px) saturate(160%);
    border: 1px solid white;
    box-shadow:
    0 4px 14px rgba(0,0,0,0.25),
    0 0 12px rgba(255,255,255,0.18) inset;
    overflow: hidden; /* wichtig für Körnung */
    padding: 20px;
    border-radius: 10px;
}
@media screen and (max-width:768px){
  #abschied{
    background-size: 300px,100%;
    background-position:100% 150px, top 0px left 0px;
    align-items: baseline;

  }
}

 /*FOOTER/MODAL*/

    footer {
      position:fixed;
      display:flex;
      justify-content: center;
      align-items: center;
      gap: 30px;
      bottom: 0px;
      width:100%;
      padding: 20px 0px 20px 0px;
      background-color: #c52821;
      color: white;
      margin-top: 40px;
      border-top: 1px solid white;
      z-index:100;
      font-size: 100%;
}

     footer a {
      color: white;
      padding: 1px 12px;text-decoration: none;
}

footer a:hover {
      color: #d88f9b;
      text-decoration: underline;
}

footer a.active {
   background-color: #507e6c;
}

/* Overlay */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  display: none;
  z-index: 900;
}

/* Dein Modal */
.modal {
  position: fixed;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fce2e3;
  color: black;
  width: 90%;
  max-width: 500px;
  margin: 0 auto;
  box-sizing: border-box;
  max-height: 90vh;
  overflow-y: auto;
  padding: 30px;
  border-radius: 8px;
  z-index: 1000;
  display: none;
  box-shadow: 0 0 20px rgba(0,0,0,0.3);
  text-align: left;
}

.modal h2 {
  text-decoration: underline overline;
  text-shadow:none;
  text-align: center;
  margin-bottom: 50px;
  font-size: 200%;
}

.modal h3 {
  text-shadow:none;
  font-size: 160%;
  margin: 20px 0px 20px 0px;
  text-decoration: underline;
}


.modal p {
  text-shadow: none;
  font-weight: normal;
}

.modal a {
  text-decoration: underline;
  color: black;
  font-weight: bold;
}

.modal b {
  font-size: 22px;
}

.modal-content {
  width: 100%;
  box-sizing: border-box;
  overflow-wrap: break-word;
  animation: fadeIn 0.3s ease;
}

@keyframes fadeIn {
  from { opacity: 0; transform: scale(0.95); }
  to   { opacity: 1; transform: scale(1); }
}

.close {
  position: absolute;
  margin-top: -270px;
  right: 10px;
  font-size: 3.5rem;
  cursor: pointer;
  z-index: 10;
}

.modal-logo {
  display: block;
  margin: 0 auto;
  width: 220px;
}

.modal ul {
  list-style: none;
  width: 100%;
  margin: 0 auto;
}
.modal ul li{
  margin:20px 0px 20px 0px;
  width:100%;
}
.modal ul li::before {
  content: "";
}
.button-impressum {
  width: 100%;
  height: 80px;
    background:rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(14px) saturate(160%);
    -webkit-backdrop-filter: blur(14px) saturate(160%);
    border: 1px solid white;
    box-shadow:
    0 4px 8px rgba(0,0,0,0.25),
    0 0 8px rgba(255,255,255,0.18) inset;
    overflow: hidden; /* wichtig fÃ¼r KÃ¶rnung */
  border-radius: 8px;
  cursor: pointer;
  display: flex;
  flex-direction: column;     
  align-items: center;
  justify-content:center;
  margin-bottom: 20px;
  padding-left: 25px;
  font-family: Roboto;
  font-size: 20px;
  color:white; 
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100px;
}

 
